Constants (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.coyote, class: Constants

# Class Constants

java.lang.Object
org.apache.coyote.Constants

public final class Constants extends Object
Constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Charset`
  `DEFAULT_BODY_CHARSET`
  Default body character encoding.
  `static final int`
  `DEFAULT_CONNECTION_LINGER`
  Default connection linger time.
  `static final boolean`
  `DEFAULT_TCP_NO_DELAY`
  Default TCP no-delay setting.
  `static final Charset`
  `DEFAULT_URI_CHARSET`
  Default URI character encoding.
  `static final boolean`
  `IS_SECURITY_ENABLED`
  Has security been turned on?
  `static final int`
  `MAX_NOTES`
  Maximum number of notes.
  `static final String`
  `PEER_ADDR_ATTRIBUTE`
  The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the connection peer IP address.
  `static final String`
  `REMOTE_ADDR_ATTRIBUTE`
  The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies.
  `static final String`
  `SENDFILE_FILE_END_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile.
  `static final String`
  `SENDFILE_FILE_START_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile.
  `static final String`
  `SENDFILE_FILENAME_ATTR`
  The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile.
  `static final String`
  `SENDFILE_SUPPORTED_ATTR`
  The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile.
  `static final int`
  `STAGE_ENDED`
  Request state: ended.
  `static final int`
  `STAGE_ENDINPUT`
  Request state: end input.
  `static final int`
  `STAGE_ENDOUTPUT`
  Request state: end output.
  `static final int`
  `STAGE_KEEPALIVE`
  Request state: keep-alive.
  `static final int`
  `STAGE_NEW`
  Request state: new request.
  `static final int`
  `STAGE_PARSE`
  Request state: parsing request.
  `static final int`
  `STAGE_PREPARE`
  Request state: preparing request.
  `static final int`
  `STAGE_SERVICE`
  Request state: servicing request.

- ## Method Summary

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_URI_CHARSET

    public static final Charset DEFAULT_URI_CHARSET
    Default URI character encoding.

  - ### DEFAULT_BODY_CHARSET

    public static final Charset DEFAULT_BODY_CHARSET
    Default body character encoding.

  - ### MAX_NOTES

    public static final int MAX_NOTES
    Maximum number of notes.
    See Also:
      - Constant Field Values

  - ### STAGE_NEW

    public static final int STAGE_NEW
    Request state: new request.
    See Also:
      - Constant Field Values

  - ### STAGE_PARSE

    public static final int STAGE_PARSE
    Request state: parsing request.
    See Also:
      - Constant Field Values

  - ### STAGE_PREPARE

    public static final int STAGE_PREPARE
    Request state: preparing request.
    See Also:
      - Constant Field Values

  - ### STAGE_SERVICE

    public static final int STAGE_SERVICE
    Request state: servicing request.
    See Also:
      - Constant Field Values

  - ### STAGE_ENDINPUT

    public static final int STAGE_ENDINPUT
    Request state: end input.
    See Also:
      - Constant Field Values

  - ### STAGE_ENDOUTPUT

    public static final int STAGE_ENDOUTPUT
    Request state: end output.
    See Also:
      - Constant Field Values

  - ### STAGE_KEEPALIVE

    public static final int STAGE_KEEPALIVE
    Request state: keep-alive.
    See Also:
      - Constant Field Values

  - ### STAGE_ENDED

    public static final int STAGE_ENDED
    Request state: ended.
    See Also:
      - Constant Field Values

  - ### DEFAULT_CONNECTION_LINGER

    public static final int DEFAULT_CONNECTION_LINGER
    Default connection linger time.
    See Also:
      - Constant Field Values

  - ### DEFAULT_TCP_NO_DELAY

    public static final boolean DEFAULT_TCP_NO_DELAY
    Default TCP no-delay setting.
    See Also:
      - Constant Field Values

  - ### IS_SECURITY_ENABLED

    public static final boolean IS_SECURITY_ENABLED
    Has security been turned on?

  - ### SENDFILE_SUPPORTED_ATTR

    public static final String SENDFILE_SUPPORTED_ATTR
    The request attribute that is set to the value of `Boolean.TRUE` if connector processing this request supports use of sendfile.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILENAME_ATTR

    public static final String SENDFILE_FILENAME_ATTR
    The request attribute that can be used by a servlet to pass to the connector the name of the file that is to be served by sendfile. The value should be `String` that is `File.getCanonicalPath()` of the file to be served.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILE_START_ATTR

    public static final String SENDFILE_FILE_START_ATTR
    The request attribute that can be used by a servlet to pass to the connector the start offset of the part of a file that is to be served by sendfile. The value should be `java.lang.Long`. To serve complete file the value should be `Long.valueOf(0)`.
    See Also:
      - Constant Field Values

  - ### SENDFILE_FILE_END_ATTR

    public static final String SENDFILE_FILE_END_ATTR
    The request attribute that can be used by a servlet to pass to the connector the end offset (not including) of the part of a file that is to be served by sendfile. The value should be `java.lang.Long`. To serve complete file the value should be equal to the length of the file.
    See Also:
      - Constant Field Values

  - ### REMOTE_ADDR_ATTRIBUTE

    public static final String REMOTE_ADDR_ATTRIBUTE
    The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the remote IP address claimed to be associated with this request when a request is received via one or more proxies. It is typically provided via the X-Forwarded-For HTTP header.
    See Also:
      - Constant Field Values

  - ### PEER_ADDR_ATTRIBUTE

    public static final String PEER_ADDR_ATTRIBUTE
    The request attribute set by the RemoteIpFilter, RemoteIpValve (and may be set by other similar components) that identifies for the connector the connection peer IP address.
    See Also:
      - Constant Field Values